## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate openxr

Name:           rust-openxr
Version:        0.19.0
Release:        %autorelease
Summary:        High-level, mostly-safe OpenXR bindings

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/openxr
Source:         %{crates_source}
# https://github.com/Ralith/openxrs/issues/179
Source100:      https://raw.githubusercontent.com/Ralith/openxrs/refs/heads/master/LICENSE-APACHE
Source101:      https://raw.githubusercontent.com/Ralith/openxrs/refs/heads/master/LICENSE-MIT
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          openxr-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
High-level, mostly-safe OpenXR bindings.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libloading-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libloading-devel %{_description}

This package contains library source intended for building other packages which
use the "libloading" feature of the "%{crate}" crate.

%files       -n %{name}+libloading-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+linked-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+linked-devel %{_description}

This package contains library source intended for building other packages which
use the "linked" feature of the "%{crate}" crate.

%files       -n %{name}+linked-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+loaded-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+loaded-devel %{_description}

This package contains library source intended for building other packages which
use the "loaded" feature of the "%{crate}" crate.

%files       -n %{name}+loaded-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mint-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mint-devel %{_description}

This package contains library source intended for building other packages which
use the "mint" feature of the "%{crate}" crate.

%files       -n %{name}+mint-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+static-devel %{_description}

This package contains library source intended for building other packages which
use the "static" feature of the "%{crate}" crate.

%files       -n %{name}+static-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# Copy LICENSE files
cp -pav %{SOURCE100} %{SOURCE101} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Nov 23 2024 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.19.0-2
- Add LICENSE files.

* Sun Sep 08 2024 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.19.0-1
- Initial import (fedora#2304223).
## END: Generated by rpmautospec
